Overview
POST/registry/identifiersregistry

Create an rdid -> entity mapping

Create a record in identifiers.

Auth: bearerAuth — calls run as the authenticated user.

Request body

application/json · optional

  • rdidstring
  • entityTypestring
  • entityIdstring
Example
{
  "rdid": "string",
  "entityType": "string",
  "entityId": "string"
}
Responses
201

mapping

  • rdidstring

    Reverse-domain identifier (e.g. com.acme.app)

  • entityTypestring

    e.g. 'namespace', 'ecosystem', 'organization'

  • entityIdstring

    The UUID the rdid resolves to

  • createdBystring?

    Minter; null for system mappings

Example
{
  "rdid": "string",
  "entityType": "string",
  "entityId": "string",
  "createdBy": "string"
}
400

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
409

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/registry/identifiers" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "rdid": "string",
  "entityType": "string",
  "entityId": "string"
}'
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/registry/identifiers", {
  method: "POST",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: "{\n  \"rdid\": \"string\",\n  \"entityType\": \"string\",\n  \"entityId\": \"string\"\n}",
});
const data = await res.json();